Package org.apache.struts2.validator.annotations

# Annotation Interface UrlValidator

@Target(METHOD) @Retention(RUNTIME) public @interface UrlValidator
This validator checks that a field is a valid URL.

     @UrlValidator(message = "Default message", key = "i18n.key", shortCircuit = true)

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `fieldName`
  `String`
  `key`
  `String`
  `message`
  `String[]`
  `messageParams`
  `boolean`
  `shortCircuit`
  If this is activated, the validator will be used as short-circuit.
  `ValidatorType`
  `type`
  `String`
  `urlRegex`
  `String`
  `urlRegexExpression`

- ## Element Details

  - ### message

    String message
    Returns:
      The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
    Default:
      ""

  - ### key

    String key
    Returns:
      The message key to lookup for i18n.
    Default:
      ""

  - ### messageParams

    String[] messageParams
    Returns:
      Additional params to be used to customize message - will be evaluated against the Value Stack
    Default:
      {}

  - ### fieldName

    String fieldName
    Returns:
      The optional fieldName for SIMPLE validator types.
    Default:
      ""

  - ### shortCircuit

    boolean shortCircuit
    If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.
    Returns:
      true if validator will be used as short-circuit. Default is false.
    Default:
      false

  - ### type

    ValidatorType type
    Returns:
      The validation type for this field/method.
    Default:
      FIELD

  - ### urlRegex

    String urlRegex
    Returns:
      Defines regex to use to validate url
    Default:
      ""

  - ### urlRegexExpression

    String urlRegexExpression
    Returns:
      Defines regex as an expression which will be evaluated to string and used to validate url
    Default:
      ""